Discussion:
DeskLib 3.00
(too old to reply)
Robert Heaton
2011-12-03 09:36:54 UTC
Permalink
Hello,
Has anyone got a binary of the latest DeskLib? (v3.00)

The website just says 'Coming Soon' and the mailing list hasn't had any
activity for a number of years.
I'm trying to recompile an application for the BeagleBoard, but it
requires DeskLib.

Thanks,
Rob.
James Lampard
2011-12-03 14:30:55 UTC
Permalink
Post by Robert Heaton
Hello,
Has anyone got a binary of  the latest DeskLib? (v3.00)
The website just says 'Coming Soon' and the mailing list hasn't had any
activity for a number of years.
I'm trying to recompile an application for the BeagleBoard, but it
requires DeskLib.
see http://groups.google.com/group/desklib/browse_thread/thread/6a16f1470ea7892c?hl=en
where Adam says:
"I'm afraid I've stopped working on DeskLib (much as I'd like to) as I
no longer have time for RISC OS programming stuff. "

I guess you should use 2.80

--
James.
To reply use james underline lampard at talk 21 dot com
Robert Heaton
2011-12-03 15:29:23 UTC
Permalink
Post by James Lampard
Post by Robert Heaton
Hello,
Has anyone got a binary of  the latest DeskLib? (v3.00)
The website just says 'Coming Soon' and the mailing list hasn't had any
activity for a number of years.
I'm trying to recompile an application for the BeagleBoard, but it
requires DeskLib.
see
http://groups.google.com/group/desklib/browse_thread/thread/6a16f1470ea7892c?hl=en
"I'm afraid I've stopped working on DeskLib (much as I'd like to) as I
no longer have time for RISC OS programming stuff. "
I guess you should use 2.80
Thanks James,
I'll try DeskLib v2.80 with GCC v3.4.6.

Can GCC v3.4.6 produce 'safe' binaries for the BeagleBoard?

Rob.
Martin Wuerthner
2011-12-06 10:01:53 UTC
Permalink
Post by Robert Heaton
I'll try DeskLib v2.80 with GCC v3.4.6.
Can GCC v3.4.6 produce 'safe' binaries for the BeagleBoard?
No. Please use the current release: GCC 4.1.1-Rel2-1

See https://www.riscosopen.org/wiki/documentation/show/ARMv7%20compati
bility%20primer
--
Martin
---------------------------------------------------------------------
Martin Wuerthner MW Software http://www.mw-software.com/
RISC OS Software for Design, Printing and Publishing
---------------------------------------------------------------------
Robert Heaton
2011-12-06 20:22:21 UTC
Permalink
Post by Martin Wuerthner
Post by Robert Heaton
I'll try DeskLib v2.80 with GCC v3.4.6.
Can GCC v3.4.6 produce 'safe' binaries for the BeagleBoard?
No. Please use the current release: GCC 4.1.1-Rel2-1
See https://www.riscosopen.org/wiki/documentation/show/ARMv7%20compati
bility%20primer
Thanks Martin,

Looks like I'm going to struggle recompiling this software, as it
requires DeskLib, but the current version of DeskLib only works with
GCC 3.4.6!
--
Robert Heaton
Loading...